Python
page = niadra.object_timeline("invoice:erp:0823", limit=20)
if page:
for item in page.items:
print(item.at, item.kind, item.text)const { data: page } = await niadra.objectTimeline("invoice:erp:0823", { limit: 20 });
for (const item of page?.items ?? []) console.log(item.at, item.kind, item.text);curl --request GET \
--url https://{space}.{region}.api.niadra.com/v1/objects/{object_type}/{namespace}/{external_id}/timeline \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{space}.{region}.api.niadra.com/v1/objects/{object_type}/{namespace}/{external_id}/timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ref": {
"type": "invoice",
"namespace": "erp",
"id": "0823"
},
"items": [
{
"id": "act_01J8ZK",
"kind": "action",
"text": "credit · $40 · Billing agent · confirmed by the system",
"at": "2026-09-22T17:06:21Z",
"channel": "erp",
"source_id": "src_billing",
"outcome": "confirmed",
"confidence": null,
"origin_event_id": "0192f7a1-6a2b-7d11-9c3e-1a2b3c4d5e02"
},
{
"id": "se_01J8ZJ",
"kind": "system_event",
"text": "invoice.disputed · August bill",
"at": "2026-09-22T17:05:40Z",
"channel": "erp",
"source_id": "src_erp",
"outcome": null,
"confidence": null,
"origin_event_id": "0192f7a1-6a2b-7d11-9c3e-1a2b3c4d5e04"
}
],
"next_cursor": null,
"as_of": "2026-09-22T17:07:02Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Objetos
Linha do tempo do objeto
Os eventos e as ações de um objeto, em ordem.
GET
/
v1
/
objects
/
{object_type}
/
{namespace}
/
{external_id}
/
timeline
Python
page = niadra.object_timeline("invoice:erp:0823", limit=20)
if page:
for item in page.items:
print(item.at, item.kind, item.text)const { data: page } = await niadra.objectTimeline("invoice:erp:0823", { limit: 20 });
for (const item of page?.items ?? []) console.log(item.at, item.kind, item.text);Autorizações
nia_sk_...
Parâmetros de caminho
O id no sistema de registro. Pode conter barras.
Parâmetros de consulta
Cursor opaco, vindo de next_cursor.
Maximum string length:
200Intervalo obrigatório:
1 <= x <= 100
